#ifndef _FASTTRACKERROPERTIESWIDGET_H_
#define _FASTTRACKERROPERTIESWIDGET_H_

#include <QWidget>
#include "ui_FASTTrackerPropertiesWidget.h"

class FASTTrackerProcessor;

class FASTTrackerPropertiesWidget : public QWidget
{
	Q_OBJECT

public:
    FASTTrackerPropertiesWidget( FASTTrackerProcessor *tracker, QWidget *parent = 0, Qt::WFlags f = 0 );
    ~FASTTrackerPropertiesWidget();

	void refresh();
	
private slots:
	void on_thresholdSpinBox_valueChanged( int value );

	void on_enableCannyCheckBox_toggled( bool on );
	void on_stdDeviationSpinBox_valueChanged( double value );
	void on_lowerSpinBox_valueChanged( int value );
	void on_upperSpinBox_valueChanged( int value );

private:
	Ui::FASTTrackerPropertiesWidget ui;
	FASTTrackerProcessor* _tracker;
};

#endif
